'''
tmpl.py -- templating

----
Copyright (C) 2007 Zoran Isailovski
Licensed under the Apache License, Version 2.0 -- http://www.apache.org/licenses/LICENSE-2.0
'''
import os
import airspeed as velocity

TEMPLATE_DIR = os.path.join(os.path.dirname(__file__), '')
TEMPLATE_SFX = '.vt.html'

loader = velocity.CachingFileLoader(TEMPLATE_DIR)

def this(templateName):
    if not os.path.splitext(templateName)[1]:
        templateName += TEMPLATE_SFX
    return loader.load_template(templateName)

def render(template, **data):
    return template.merge(data, loader)
##    reload(taux)
##    context = dict(taux=taux)
##    context.update(data)
##    return template.merge(context)
