'''
The MoinMoin Uploads Center

This is a MoinMoin application that helps with managing uploaded files.

> Hey! What do you mean by "uploaded files"?

Uploaded files are *not* attachments. Attachments are bound to a page and are uploaded
by means of HTML and HTTP. However, often it is easier to upload files by means of FTP or
the like, and use a web front-end just to access them one by one.

This is where the Upload Center comes in. It scans the htdocs/_uploads directory and all it's
sub-directories. Whereever it findes a file named "!readme.txt" (note: case matters), it
collects the files inside that directory and shows them in a HTML table.

Go aheead! Try it and see for yourself!

Cheers and Happy Uploading
ZoranIsailovski

----
Copyright (C) 2007 Zoran Isailovski
Licensed under the Apache License, Version 2.0 -- http://www.apache.org/licenses/LICENSE-2.0
'''
from MoinUploadsCenter import main

DEBUG = True

def execute(pagename, request):
    if DEBUG:
        reload(main)
    return main.execute(pagename, request)
